%define name atanks 
%define version 1.1.0
%define release 2mdk

Summary: A Scorched Earth game clone
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
Source3:    %{name}-16.png
Source4:    %{name}-32.png
Source5:    %{name}-48.png
Patch: atanks-1.1.0-gcc3.4.patch.bz2
License: GPL
Group: Games/Arcade
Url: http://atanks.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: liballegro-devel

%description
This is Atomic Tanks, a multi-player game similar to Scorched Earth
which involves firing enormous weapons to try and destroy the other
tanks.

%prep
%setup -q -n %name
%patch -p1

%build
export OFLAGS="$RPM_OPT_FLAGS"

%make FLAGS="-DLINUX -DVERSION=\\\"\${VERSION}\\\" -DDATA_DIR=\\\"%_gamesdatadir/%name\\\""
#DATA_DIR=%_gamesdatadir/%name

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %buildroot{%_gamesbindir,%_gamesdatadir/%name}
cp %name %buildroot%_gamesbindir
cp *.dat %buildroot%_gamesdatadir/%name
cp *.txt %buildroot%_gamesdatadir/%name

chmod 644 %buildroot%_gamesdatadir/%name/*

# Menu
mkdir -p %buildroot{%_menudir,%_liconsdir,%_iconsdir,%_miconsdir}

install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
    command="%{_gamesbindir}/%{name}"\
    title="Atanks"\
    longtitle="A worms clone"\
    needs="x11"\
    section="Amusement/Arcade"\
    icon="%{name}.png"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO readme.linux BUGS Changelog
%_gamesbindir/%name
%_gamesdatadir/%name
%_menudir/%name
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png

%changelog
* Tue Jun  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-2mdk
- update description
- patch for new g++

* Fri Feb  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-1mdk
- fix doc file list
- new version

* Sun Sep 14 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.0-0.rc2.2mdk
- fix files permission
* Fri Sep 12 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.0-0.rc2.1mdk
- first mdk spec
